package org.rcisoft.business.opmTopic.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Created with cy on 2024年3月25日 下午1:42:40.
 *
 * @author
 */
@Data
@TableName("opm_topic")
public class OpmTopic extends CyIdIncreEntity<OpmTopic> {

    /**
     * @desc 创建人
     * @column create_by
     * @default
     */
//    @Excel(name = "创建人")
//    @TableField("create_by")
//    private String createBy;

    /**
     * @desc 创建时间
     * @column create_date
     * @default
     */
//    @Excel(name = "创建时间")
//    @DateTimeFormat(pattern = "yyyy-MM-dd")
//    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
//    @TableField("create_date")
//    private Date createDate;
    /**
     * @desc 更新人
     * @column update_by
     * @default
     */
//    @Excel(name = "更新人")
//    @TableField("update_by")
//    private String updateBy;

    /**
     * @desc 更新时间
     * @column update_date
     * @default
     */
//    @Excel(name = "更新时间")
//    @DateTimeFormat(pattern = "yyyy-MM-dd")
//    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
//    @TableField("update_date")
//    private Date updateDate;

    /**
     * @desc 备注
     * @column remarks
     * @default
     */
    @JsonIgnore
    @Excel(name = "备注")
    @TableField("remarks")
    private String remarks;

    /**
     * @desc 话题名称
     * @column topic_name
     * @default
     */
    @Excel(name = "话题名称")
    @TableField("topic_name")
    private String topicName;

    /**
     * @desc 审核状态（0未审核、1已审核）
     * @column exam_status
     * @default
     */
    @Excel(name = "审核状态（0未审核、1已审核）")
    @TableField("exam_status")
    private String examStatus;

    /**
     * @desc 启动状态（0禁用、1启动）
     * @column flag
     * @default
     */
    @Excel(name = "启动状态（0禁用、1启动）")
    @TableField("flag")
    private String flag;

    /**
     * @desc 删除标志（0删除，1已删除）
     * @column del_flag
     * @default
     */
    @Excel(name = "删除标志（0删除，1已删除）")
    @TableField("del_flag")
    private String delFlag;





    /**
     * @desc 排序
     * @column weight
     * @default
     */
    @Excel(name = "排序")
    private Integer weight;

    /**
     * @desc 话题下的动态数
     * @column article_count
     * @default
     */
    @Excel(name = "话题下的动态数")
    @TableField("article_count")
    private Integer articleCount;





    /**
     * 开始时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String beginTime;

    /**
     * 结束时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String endTime;

    @TableField(exist = false)
    private String nickName;
    @TableField(exist = false)
    private String path;


}


